// -*-c++-*-

/*!
  \file rcsc.h
  \brief librcsc main Header File
*/

/*
 *Copyright:

 Copyright (C) Hidehisa Akiyama

 This code is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef RCSC_RCSC_H
#define RCSC_RCSC_H

#include <rcsc/rcg.h>


#include <rcsc/bpn1.h>
#include <rcsc/game_mode.h>
#include <rcsc/game_time.h>
#include <rcsc/math_util.h>
#include <rcsc/random.h>
#include <rcsc/soccer_math.h>
#include <rcsc/timer.h>
#include <rcsc/types.h>

#endif
